"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCSSModuleScript = void 0;
const acorn = require("acorn");
const acornWalk = require("./walker");
const dynamicImport = require("acorn-dynamic-import");
const extractCSSFromArrayExpression_1 = require("./extractCSSFromArrayExpression");
const findAddStyleImport_1 = require("./findAddStyleImport");
const Parser = acorn.Parser.extend(dynamicImport.default || dynamicImport);
acornWalk.base[dynamicImport.DynamicImportKey] = () => {
};
exports.parseCSSModuleScript = (props) => {
    const ranges = [];
    const statements = [];
    const ast = Parser.parse(props.code, { sourceType: 'module' });
    const addStyle = findAddStyleImport_1.findAddStyleImport(ast, props.helper, props.localName);
    acornWalk.simple(ast, {
        ExpressionStatement: (statement) => {
            const { expression } = statement;
            if (expression.callee && expression.callee.name === addStyle.name) {
                for (const argument of expression.arguments) {
                    ranges.push(...extractCSSFromArrayExpression_1.extractCSSFromArrayExpression(argument, props.cssKey));
                }
                statements.push({ start: statement.start, end: statement.end });
            }
        },
    });
    return {
        ranges,
        addStyle: { start: addStyle.node.start, end: addStyle.node.end },
        statements,
    };
};