"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTimingFunction = void 0;
const nbnf_1 = require("@nlib/nbnf");
const types_1 = require("./types");
const getCubicBezierFunction_1 = require("./getCubicBezierFunction");
const getStepFunction_1 = require("./getStepFunction");
exports.getTimingFunction = (timingFunctionNodes) => {
    const [timingFunctionNode] = timingFunctionNodes;
    if (nbnf_1.isASTRuleNode(timingFunctionNode)) {
        switch (timingFunctionNode.name) {
            case 'CubicBezierEasingFunction':
                return getCubicBezierFunction_1.getCubicBezierFunction(timingFunctionNode);
            case 'StepEasingFunction':
                return getStepFunction_1.getStepFunction(timingFunctionNode);
            default:
        }
    }
    else if (nbnf_1.nodeListToString(timingFunctionNodes) === 'linear') {
        return { type: types_1.CSSTimingFunctionType.linear };
    }
    throw new Error(`Invalid <timing-function>: ${nbnf_1.nodeListToString(timingFunctionNodes)}`);
};