"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSameTimingFunction = void 0;
const types_1 = require("./types");
const isSameCubicBezierPoints_1 = require("./isSameCubicBezierPoints");
exports.isSameTimingFunction = (a, b) => {
    switch (a.type) {
        case types_1.CSSTimingFunctionType.linear:
            return b.type === types_1.CSSTimingFunctionType.linear;
        case types_1.CSSTimingFunctionType.cubicBezier:
            return b.type === types_1.CSSTimingFunctionType.cubicBezier && isSameCubicBezierPoints_1.isSameCubicBezierPoints(a.points, b.points);
        case types_1.CSSTimingFunctionType.step:
            return b.type === types_1.CSSTimingFunctionType.step && a.stepCount === b.stepCount && a.stepPosition === b.stepPosition;
        default:
            return false;
    }
};