"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseAnimationShorthand = void 0;
const nbnf_1 = require("@nlib/nbnf");
const constants_1 = require("./constants");
const compileOverwrites_1 = require("./compileOverwrites");
const tokenizeAnimation = nbnf_1.createTokenizerFromNormalizedRuleList(nbnf_1.CSSAnimationRules);
exports.parseAnimationShorthand = (input) => {
    const result = tokenizeAnimation(input, 'SingleAnimation', 0, () => {
    });
    if (!nbnf_1.isASTRuleNode(result)) {
        throw new Error(`Failed to parse the input: ${input}`);
    }
    return Object.assign(constants_1.defaultCSSAnimation, result.nodes.reduce((memo, propertyWrapper) => {
        if (nbnf_1.isASTRuleNode(propertyWrapper) && propertyWrapper.name === 'SingleAnimationProperty') {
            const [property] = propertyWrapper.nodes;
            if (nbnf_1.isASTRuleNode(property)) {
                return compileOverwrites_1.compileOverwrites(memo, property);
            }
        }
        return memo;
    }, {}));
};