"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCSSAnimationShorthand = void 0;
const types_1 = require("./types");
const serializeTimingFunction_1 = require("./serializeTimingFunction");
exports.serializeCSSAnimationShorthand = (animation) => {
    if (animation.name === 'none') {
        return animation.name;
    }
    const chunks = [`${animation.duration}s`];
    const timingFunction = serializeTimingFunction_1.serializeTimingFunction(animation.timingFunction);
    if (timingFunction !== 'ease') {
        chunks.push(timingFunction);
    }
    if (0 < animation.delay) {
        chunks.push(`${animation.delay}s`);
    }
    if (animation.iterationCount !== 1) {
        chunks.push(Number.isFinite(animation.iterationCount) ? `${animation.iterationCount}` : 'infinite');
    }
    if (animation.direction !== types_1.CSSAnimationDirection.normal) {
        chunks.push(animation.direction);
    }
    if (animation.fillMode !== types_1.CSSAnimationFillMode.none) {
        chunks.push(animation.fillMode);
    }
    if (animation.playState !== types_1.CSSAnimationPlayState.running) {
        chunks.push(animation.playState);
    }
    chunks.push(animation.name);
    return chunks.join(' ');
};