"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.timeToNumber = exports.timeUnitToNumber = exports.timeValueToNumber = void 0;
const nbnf_1 = require("@nlib/nbnf");
exports.timeValueToNumber = (timeValueNode) => parseFloat(nbnf_1.nodeToString(timeValueNode));
exports.timeUnitToNumber = (timeUnitNode) => {
    const unit = nbnf_1.nodeToString(timeUnitNode);
    switch (unit) {
        case 's':
            return 1;
        case 'ms':
            return 0.001;
        default:
            throw new Error(`Invalid <time-unit>: ${unit}`);
    }
};
exports.timeToNumber = (timeNode) => {
    const [valueNode, unitNode] = timeNode.nodes;
    return exports.timeValueToNumber(valueNode) * exports.timeUnitToNumber(unitNode);
};