"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseImport = void 0;
const path = require("path");
const normalizePath_1 = require("../util/normalizePath");
exports.parseImport = (parameter, id) => {
    const [importFrom, localName, ...others] = parameter.split(/\s+/);
    if (others.length === 0 && (/^(['"]).+\1/).exec(importFrom) && (/^[\w-]+$/).exec(localName)) {
        const from = importFrom.slice(1, -1);
        if (from.startsWith('.')) {
            return {
                from: normalizePath_1.normalizePath(path.join(path.dirname(id), ...from.split(/\//))),
                localName,
            };
        }
    }
    return null;
};